com.sun.jna.platform.win32.COM

## Class TypeComp.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.TypeComp
        - - com.sun.jna.platform.win32.COM.TypeComp.ByReference

- All Implemented Interfaces:
    NativeMapped, IUnknown, Structure.ByReference
  Enclosing class:
    TypeComp

      public static class TypeComp.ByReference
      extends TypeComp
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.TypeComp

      `TypeComp.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeComp.ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.TypeComp

      `Bind, BindType`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeComp.ByReference

          public TypeComp.ByReference()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.